Skip to main content
GET
https://api.tensormesh.ai
/
v1
/
billing
/
transactions
List Billing Transactions
curl --request GET \
  --url https://api.tensormesh.ai/v1/billing/transactions \
  --header 'Authorization: Bearer <token>'
{
  "transactions": [
    {
      "transactionId": "<string>",
      "stripePaymentIntentId": "<string>",
      "paymentMethodId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "amount": {
        "currencyCode": "<string>",
        "units": "<string>",
        "nanos": 123
      },
      "description": "<string>",
      "status": "TRANSACTION_STATUS_UNSPECIFIED",
      "type": "TRANSACTION_TYPE_UNSPECIFIED"
    }
  ],
  "nextPageToken": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication using an access token. Format: Bearer <access_token>

Query Parameters

userId
string

The unique ID of the user.

pageSize
integer<int32>
pageToken
string

Token for pagination.

Response

A successful response.

ListBillingTransactionsResponse is the response listing billing transactions.

transactions
object[]

The transactions.

nextPageToken
string

Token for pagination.